Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.context
Interface ConfigurableWebApplicationContext

All Superinterfaces:
  ApplicationContext, ApplicationEventPublisher, BeanFactory, ConfigurableApplicationContext, HierarchicalBeanFactory, Lifecycle, ListableBeanFactory, MessageSource, ResourceLoader, ResourcePatternResolver, WebApplicationContext

All Known Implementing Classes:
  AbstractRefreshableWebApplicationContext, StaticWebApplicationContext, XmlWebApplicationContext

    public interface ConfigurableWebApplicationContext

extends WebApplicationContext, ConfigurableApplicationContext

Interface to be implemented by configurable web application contexts. Supported by `ContextLoader` and `FrameworkServlet`.

Note: The setters of this interface need to be called before an invocation of the `ConfigurableApplicationContext.refresh()` method inherited from `ConfigurableApplicationContext`. They do not cause an initialization of the context on their own.

Since:
  05.12.2003
Author:
  Juergen Hoeller
See Also:
  `ConfigurableApplicationContext.refresh()`, `ContextLoader.createWebApplicationContext(javax.servlet.ServletContext, org.springframework.context.ApplicationContext)`, `FrameworkServlet.createWebApplicationContext(org.springframework.web.context.WebApplicationContext)`

Field Summary
`static String` | `CONFIG_LOCATION_DELIMITERS` Any number of these characters are considered delimiters between multiple context config paths in a single String value.

Fields inherited from interface org.springframework.web.context.WebApplicationContext
`ROOT_WEB_APPLICATION_CONTEXT_ATTRIBUTE, SCOPE_GLOBAL_SESSION, SCOPE_REQUEST, SCOPE_SESSION`

Fields inherited from interface org.springframework.context.ConfigurableApplicationContext
`LOAD_TIME_WEAVER_BEAN_NAME`

Fields inherited from interface org.springframework.beans.factory.BeanFactory
`FACTORY_BEAN_PREFIX`

Fields inherited from interface org.springframework.core.io.support.ResourcePatternResolver
`CLASSPATH_ALL_URL_PREFIX`

Fields inherited from interface org.springframework.core.io.ResourceLoader
`CLASSPATH_URL_PREFIX`

Method Summary
`String[]` | `getConfigLocations()` Return the config locations for this web application context, or `null` if none specified.
`String` | `getNamespace()` Return the namespace for this web application context, if any.
`ServletConfig` | `getServletConfig()` Return the ServletConfig for this web application context, if any.
`void` | `setConfigLocations(String[] configLocations)` Set the config locations for this web application context.
`void` | `setNamespace(String namespace)` Set the namespace for this web application context, to be used for building a default context config location.
`void` | `setServletConfig(ServletConfig servletConfig)` Set the ServletConfig for this web application context.
`void` | `setServletContext(ServletContext servletContext)` Set the ServletContext for this web application context.

Methods inherited from interface org.springframework.web.context.WebApplicationContext
`getServletContext`

Methods inherited from interface org.springframework.context.ConfigurableApplicationContext
`addApplicationListener, addBeanFactoryPostProcessor, close, getBeanFactory, isActive, refresh, registerShutdownHook, setParent`

Methods inherited from interface org.springframework.context.ApplicationContext
`getAutowireCapableBeanFactory, getDisplayName, getParent, getStartupDate`

Methods inherited from interface org.springframework.beans.factory.ListableBeanFactory
`containsBeanDefinition, getBeanDefinitionCount, getBeanDefinitionNames, getBeanNamesForType, getBeanNamesForType, getBeansOfType, getBeansOfType`

Methods inherited from interface org.springframework.beans.factory.HierarchicalBeanFactory
`containsLocalBean, getParentBeanFactory`

Methods inherited from interface org.springframework.beans.factory.BeanFactory
`containsBean, getAliases, getBean, getBean, getBean, getType, isPrototype, isSingleton, isTypeMatch`

Methods inherited from interface org.springframework.context.MessageSource
`getMessage, getMessage, getMessage`

Methods inherited from interface org.springframework.context.ApplicationEventPublisher
`publishEvent`

Methods inherited from interface org.springframework.core.io.support.ResourcePatternResolver
`getResources`

Methods inherited from interface org.springframework.core.io.ResourceLoader
`getClassLoader, getResource`

Methods inherited from interface org.springframework.context.Lifecycle
`isRunning, start, stop`

Field Detail

### CONFIG_LOCATION_DELIMITERS

    static final String CONFIG_LOCATION_DELIMITERS

  Any number of these characters are considered delimiters between multiple context config paths in a single String value.

  See Also:
    `ContextLoader.CONFIG_LOCATION_PARAM`, `FrameworkServlet.setContextConfigLocation(java.lang.String)`, Constant Field Values

Method Detail

### setServletContext

    void setServletContext(ServletContext servletContext)

  Set the ServletContext for this web application context.

  Does not cause an initialization of the context: refresh needs to be called after the setting of all configuration properties.

  See Also:
    `ConfigurableApplicationContext.refresh()`

### setServletConfig

    void setServletConfig(ServletConfig servletConfig)

  Set the ServletConfig for this web application context. Only called for a WebApplicationContext that belongs to a specific Servlet.

  See Also:
    `ConfigurableApplicationContext.refresh()`

### getServletConfig

    ServletConfig getServletConfig()

  Return the ServletConfig for this web application context, if any.

### setNamespace

    void setNamespace(String namespace)

  Set the namespace for this web application context, to be used for building a default context config location. The root web application context does not have a namespace.

### getNamespace

    String getNamespace()

  Return the namespace for this web application context, if any.

### setConfigLocations

    void setConfigLocations(String[] configLocations)

  Set the config locations for this web application context.

  If not set, the implementation is supposed to use a default for the given namespace or the root web application context, as appropriate.

### getConfigLocations

    String[] getConfigLocations()

  Return the config locations for this web application context, or `null` if none specified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.